/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ManuMgmt.SCADA;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class DataSet {
    public void makeDataSet() {
    }

    public void addSubDataSet() {
    }

    public void removeSubDataSet() {
    }

    public void smoothDataSet() {
    }

    public int compareWithDataSet() {
        return 0;
    }

    public void crunchNumbers() {
    }

    private int type;
    private int interval;
    private int rateOfSampling;

    /** @supplierCardinality 0..* */
    private ICrunchNumbers lnkUnnamed;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private NumberCrunchingResult lnkUnnamed1;
    private int rawData;

    /**
     *@shapeType AggregationLink
     *    @associates <b>DataSet</b>
     * @supplierCardinality 0..*
     * @supplierRole sub
     * @clientCardinality 0..*
     */
    private Vector lnkUnnamed2;
    private int smoothedData;
}


